CHAGE(1)

NOME
chage - cambia le informazioni sulla scadenza della password

SINOSSI

chage [opzioni] LOGIN

DESCRIZIONE

chage modifica il numero minimo di giorni tra i cambi di password e la data dell'ultimo cambio. Queste informazioni sono usate dal sistema per determinare quando un utente deve cambiare la propria password.

OPZIONI

Il comando chage accetta le seguenti opzioni:

-d, --lastday ULTIMO_GIORNO
    Imposta la data dell'ultimo cambio della password, espressa come il numero di giorni trascorsi dal 1 gennaio 1970. La data può anche essere specificata nel formato AAAA-MM-GG o nella notazione comunemente usata nel proprio paese.

-E, --expiredate DATA_SCADENZA
    Imposta la data o il numero di giorni dal 1 gennaio 1970 dal quale l'account utente non sarà più accessibile. La data può essere inserita nel formato AAAA-MM-GG (o il formato più comunemente utilizzato nel proprio paese). Un utente il cui account sia bloccato deve contattare l'amministratore di sistema prima di poter accedere nuovamente al sistema.

    Se si passa il numero -1 come DATA_SCADENZA, si rimuove la data di scadenza dell'account.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-I, --inactive INATTIVO
    Imposta il numero di giorni di inattività dopo la scadenza della password dopo i quali l'account viene bloccato. L'opzione INATTIVO indica il numero di giorni di inattività. Un utente con l'account bloccato deve contattare l'amministratore prima di poter usare ancora il sistema.

    Utilizzare il numero -1 come INATTIVO elimina l'intervallo di inattività dall'account.

-l, --list
    Visualizza le informazioni sulla scadenza dell'account.

-m, --mindays MIN_GIORNI
    Imposta il numero minimo di giorni tra i cambi di password a MIN_GIORNI. Un valore pari a zero indica che l'utente può cambiare la propria password in qualsiasi momento.

-M, --maxdays MAX_GIORNI
    Imposta il numero massimo di giorni di validità di una password. Quando la somma di MAX_GIORNI e ULTIMO_GIORNO è inferiore alla data odierna, l'utente è obbligato a cambiare la password prima di poter usare ancora il proprio account. Questo evento può essere reso noto in anticipo usando l'opzione -W, che fornisce un preavviso all'utente.

    Usare il valore -1 come MAX_GIORNI rimuove il controllo sulla validità della password.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-W, --warndays AVVISO_GIORNI
    Imposta il numero di giorni di preavviso prima che sia obbligatorio cambiare la password. L'opzione AVVISO_GIORNI indica il numero di giorni prima della scadenza della password in cui l'utente viene avvertito dell'imminente scadenza.

Se non viene specificata nessuna opzione, chage opera in modalità interattiva, chiedendo all'utente il nuovo valore per ogni campo. Inserire un nuovo valore per modificare il campo, oppure lasciare la riga vuota per continuare a usare il valore attuale. I valori attuali vengono mostrati tra parentesi quadre [ ].

NOTA

chage richiede che il file delle password shadow sia disponibile.

L'uso del comando chage è permesso solo all'utente root, tranne per l'opzione -l, che può essere usata da un utente non privilegiato per conoscere la scadenza della propria password o dell'account.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VALORI RESTITUITI

Il comando chage restituisce i seguenti valori:

0
    successo

1
    permesso negato

2
    sintassi del comando errata

15
    non è possibile trovare il file delle password shadow

VEDERE ANCHE

passwd(5), shadow(5).